﻿using System;
using System.Collections.Generic;
using System.IO;

namespace Resizer
{
    class ImageFolders : MarshalByRefObject
    {
        private string _sourceFolder;
        private string _destFolder;

        public ImageFolders(string sourceFolder, string destFolder)
        {
            _sourceFolder = sourceFolder;
            _destFolder = destFolder;
        }

        public IEnumerable<string> GetSourceFiles()
        {
            foreach (string file in Directory.GetFiles(_sourceFolder, "*.jpg"))
            {
                yield return Path.Combine(_sourceFolder, file);
            }
        }

        public string GetDestFileName(string sourceFile)
        {
            return Path.Combine(_destFolder, Path.GetFileName(sourceFile));
        }
    }
}
