﻿using System;
using System.Windows.Forms;
using System.IO;

namespace Resizer
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void btnResize_Click(object sender, EventArgs e)
        {
            int size = Int32.Parse(txtTargetSize.Text);

            ResizeController controller = 
                new ResizeController(txtSourceFolder.Text, txtDestination.Text, size);

            using (new WaitCursor(this))
            {
                controller.DoResize();
            }
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            string location = System.Reflection.Assembly.GetEntryAssembly().Location;
            string imageRoot = Path.GetFullPath(Path.GetDirectoryName(location) + "..\\..\\..\\..\\Images");
            txtSourceFolder.Text = Path.Combine(imageRoot, "raw");
            txtDestination.Text = Path.Combine(imageRoot, "resized");
        }
    }
}
